Plank.DockItemPreferences – plank Reference Manual

# DockItemPreferences

## Object Hierarchy:

## Description:

public class DockItemPreferences : Preferences

Contains preference keys for a dock item.

Namespace: Plank
Package: plank

## Content:

### Properties:

- public string Launcher { get; set; }

### Creation methods:

- public DockItemPreferences ()
- public DockItemPreferences.with_file (File file)
- public DockItemPreferences.with_filename (string filename)
- public DockItemPreferences.with_launcher (string launcher)

### Methods:

- public override void reset_properties ()
  Resets all properties to their default values. Called from construct and before loading from the backing file.
- protected override void verify (string prop)
  This method will verify the value of a property. If the value is wrong, this method should replace it with a sanitized value.

### Inherited Members:

All known members inherited from class Plank.Preferences

- @delete
- apply
- delay
- deleted

- get_backing_file
- get_filename
- init_from_file

- init_from_filename
- reset_properties
- verify

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref